<ion-header>
  <ion-navbar>
    <ion-title>Winkelmandje</ion-title>
  </ion-navbar>
</ion-header>
<ion-content class="content" padding style="background-color: whitesmoke;">

  <div style="padding-top: 15%" text-center *ngIf="facade.basketProducts.length === 0">
    <ion-icon name="basket" class="no-items-message-icon"></ion-icon>
    <p class="no-items-message">Geen producten in het winkelmandje</p>
  </div>

  <ion-list style="padding-top: 30px;" *ngIf="facade.basketProducts.length > 0">
    <ion-card style="background-color: whitesmoke;">
      <div style="display: flex; flex-direction: row;">
        <div style="width: 50%">
          <ion-card-header style="font-weight: 700;">
            Totale prijs:
          </ion-card-header>
        </div>

        <div style="display: flex; width: auto; width: 50%">
          <ion-card-header style="font-weight: 700;">
            € {{facade.getTotalPrice() | number : '1.2-2'}}
          </ion-card-header>
        </div>
      </div>
    </ion-card>

    <ion-card *ngFor="let basketItem of facade.basketProducts">
      <div style="display: flex; flex-direction: row; align-items: center;">
        <div class="basket-item-name-container">
          <ion-card-header text-wrap>
            {{basketItem.product.name}}
          </ion-card-header>
          <ion-card-content>
            {{basketItem.product.description}}
          </ion-card-content>
        </div>

        <div style="display: flex; width: auto;">
          <ion-card-header class="basket-item-price">
            € {{basketItem.getTotalPrice() | number : '1.2-2'}}
          </ion-card-header>
        </div>

        <div class="count-panel">
          <div class="price-container">
            <button ion-button icon-right round (click)="addToBasket(basketItem.product)">
              +
            </button>
          </div>
          <div class="price-container">
            <ion-label text-center style="font-size: 18px;">
              {{basketItem.amount}}
            </ion-label>
          </div>
          <div class="price-container">
            <button ion-button icon-right round (click)="removeFromBasket(basketItem)">
              -
            </button>
          </div>
        </div>

        <div *ngIf="showDelete" style="display: flex;
        width:auto;
        margin-left: 3%;
        margin-right: 3%;
        border-color: rgba(189,191,193, 0.6);">
          <div style="display: flex; align-items: center;">
            <button ion-button icon-right clear class="delete-products"
                    (click)="removeProductFromBasket(basketItem.product)"
                    style="text-align: center;">
              <ion-icon icon-only name="trash" style="font-size: 30px;"></ion-icon>
            </button>
          </div>
        </div>

      </div>
    </ion-card>
  </ion-list>

  <ion-fab top right edge>
    <button ion-button style="background:lightseagreen;" (click)="orderProducts()">
      BESTELLEN
    </button>
  </ion-fab>

</ion-content>
